## com.thingmagic
Class Gen2.Untraceable

    java.lang.Object
      com.thingmagic.TagOp
          com.thingmagic.Gen2.Gen2CustomTagOp
              com.thingmagic.Gen2.Untraceable

Direct Known Subclasses:
  Gen2.NXP.AES.Untraceable

Enclosing class:
  Gen2

    public static class Gen2.Untraceable

extends Gen2.Gen2CustomTagOp

Untraceable

Nested Class Summary
`static class` `Gen2.Untraceable.EPC` Gen2v2 untraceably hides part of EPC memory or not
`static class` `Gen2.Untraceable.Range` specifies Gen2v2 Tag’s operating range
`static class` `Gen2.Untraceable.TID` Gen2v2 untraceably hides part of TID memory or not
`static class` `Gen2.Untraceable.User` Gen2v2 untraceably hides part of UserMemory memory or not

Field Summary
`Gen2.Untraceable.EPC` `epc` specifies whether a Tag untraceably hides part of EPC memory
`int` `epcLen` specifies a new EPC length field
`Gen2.Untraceable.Range` `range` specifies a Tag’s operating range
`Gen2.Untraceable.TID` `tid` specifies the TID memory that a Tag untraceably hides
`Gen2.Untraceable.User` `user` specifies whether a Tag untraceably hides User memory

Fields inherited from class com.thingmagic.Gen2.Gen2CustomTagOp
`chipType`

Constructor Summary
`Gen2.Untraceable(Gen2.Untraceable.EPC epc, int epcLen, Gen2.Untraceable.TID tid, Gen2.Untraceable.User user, Gen2.Untraceable.Range range)` Constructor to initialize authentication parameters

Method Summary
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### epc

    public Gen2.Untraceable.EPC epc

  specifies whether a Tag untraceably hides part of EPC memory

### epcLen

    public int epcLen

  specifies a new EPC length field

### tid

    public Gen2.Untraceable.TID tid

  specifies the TID memory that a Tag untraceably hides

### user

    public Gen2.Untraceable.User user

  specifies whether a Tag untraceably hides User memory

### range

    public Gen2.Untraceable.Range range

  specifies a Tag’s operating range

Constructor Detail

### Gen2.Untraceable

    public Gen2.Untraceable(Gen2.Untraceable.EPC epc,
                            int epcLen,
                            Gen2.Untraceable.TID tid,
                            Gen2.Untraceable.User user,
                            Gen2.Untraceable.Range range)

  Constructor to initialize authentication parameters

  Parameters:
    `epc` - specifies whether a Tag untraceably hides part of EPC memory
    `epcLen` - specifies a new EPC length field
    `tid` - specifies the TID memory that a Tag untraceably hides
    `user` - specifies whether a Tag untraceably hides User memory
    `range` - specifies a Tag’s operating range

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    Human-readable representation